Loading...
Searching...
No Matches
opencc::MaxMatchSegmentation Class Reference
OpenCC C++ Comprehensive API

Implementation of maximal match segmentation. More...

`#include <MaxMatchSegmentation.hpp>`

Inheritance diagram for opencc::MaxMatchSegmentation:

## Public Member Functions

| MaxMatchSegmentation (const DictPtr _dict)
virtual SegmentsPtr | Segment (const std::string &text) const
const DictPtr | GetDict () const

## Detailed Description

Implementation of maximal match segmentation.

## Member Function Documentation

## Segment()

SegmentsPtr MaxMatchSegmentation::Segment | ( | const std::string & | text | ) | const

virtual

Implements opencc::Segmentation.

The documentation for this class was generated from the following files:

- MaxMatchSegmentation.hpp
- MaxMatchSegmentation.cpp